Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005162 [JEDI VCL] 00 JVCL Components major always 2010-02-09 10:47 2011-06-10 16:09
Reporter m_Th View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0005162: TjvExprParser - Date/Time, Boolean and 'Like' support
Description If TjvExprParser is used on Date/Time and Boolean variants, it produces wrong results (because the values are seen as strings). To see, create a TjvMemoryData with DateTime fields and assign the Filter property to filter the data on such fields.

Also, added the '~' (like) operator. Reason:

To express an exact string match on one field and wildcard match on other fields. (eg. Selected = '*' and 'FileName ~ '*.doc')

Also, some minor bugfixes and code consolidation were made.

Please find the attached file for the code. The changed parts are commented with //mTh
Additional Information
Tags No tags attached.
Attached Files ? file icon JvExprParser.pas [^] (25,282 bytes) 2010-02-09 10:47
zip file icon FilterExample.zip [^] (27,766 bytes) 2010-02-13 10:09

- Relationships

-  Notes
(0017192)
jfudickar (developer)
2010-02-09 19:20

Did you have a small sample which shows the new/fixed behaviour?
(0017194)
m_Th (reporter)
2010-02-13 10:12

The 'FilterExample.zip' *SUPERSEDES* the previous attached file (how do I delete it?).

It contains:
- a newer JvExprParser.pas file (with more bugs fixed and enhancements - support for Case Insensitive parsing - see the new property)
- a newer JvMemoryDataSet.pas file (with some bugs fixed - see Mantis#5161 also)
- a sample demo for both the above files.
(0017277)
obones (administrator)
2010-03-09 11:32

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2010-02-09 10:47 m_Th New Issue
2010-02-09 10:47 m_Th File Added: JvExprParser.pas
2010-02-09 19:20 jfudickar Note Added: 0017192
2010-02-13 10:09 m_Th File Added: FilterExample.zip
2010-02-13 10:12 m_Th Note Added: 0017194
2010-03-09 11:32 obones Note Added: 0017277
2010-03-09 11:32 obones Assigned To => obones
2010-03-09 11:32 obones Status new => resolved
2010-03-09 11:32 obones Resolution open => fixed
2010-03-09 11:32 obones Fixed in Version => Daily / SVN
2010-03-09 11:32 obones Target Version => 3.40 - not yet released
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker